Hardware Hacking - Bug #654

Restoring A Bricked HP DV6700 Notebook BIOS
09/02/2015 01:41 PM - Daniel Curtis

Status: Closed Start date: 09/02/2015
Priority: Immediate Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Estimated time: 2.00 hours
Target version: Spent time: 4.50 hours
Description

| recently updated my HP dv6700 laptop to Windows 7, and some time later | noticed a problem with the laptops performance that
could be solved with a BIOS update. However, the BIOS update utility | downloaded from the HP support site was designed for
Windows Vista, so running the update utility on my new Windows 7 drive rendered my laptop useless; screen backlight not coming
on, no hard drive light activity, no display on the screen, etc. These are some notes on how | recovered my laptop.

THE BIOS CANNOT BE UPDATED WITH WINDOWS 7, IT MUST BE UPDATED USING WINDOWS VISTA.

Make a Recovery USB Disk

e Download and install 7zip

* First locate the BIOS for the specific laptop. This can be found at the HP support site.
o NOTE: | needed to use an older version of the BIOS firmware to get it working right.

¢ Right click on the spXXXXX.exe and use 7zip to extract it into a folder.

¢ Download a copy of Crisdisk. | have a copy available for posterity.

e Extract Crisdisk and open the folder Crisdisk was extracted to.

¢ Copy the YYYYYYYY.WPH file into the directory where Crisdisk was extracted to.
¢ Rename the YYYYYYYY.WPH file to BIOS.WPH

¢ Right click on the WINCRIS.EXE application and go to Properties -> Compatibility, and set the Compatibility Mode to Windows
XP Service Pack 3.

¢ Insert a USB drive that can be formatted.
¢ Run the WINCRIS.EXE application

¢ Once the WINCRIS applicaiton is open select the USB drive to use and click Start

When the USB drive is finished formatting and setup, it can be removed without needing to eject it.

Reflash the BIOS

Unplug all cords, accessories, and the battery from the laptop.

Plug the laptop into AC power.

Take the USB drive and plug it into the laptop

Press and hold the Windows and B Keys

While holding the Windows and B Keys, press the Power button.

The laptop will boot up and the USB drive should begin blinking and the laptop should beep.

Wait for the laptop to power off by itself. This process should take around 10 minutes.
Resources

¢ http://support.hp.com/us-en/drivers/selfservice/HP-Pavilion-dv6800-Entertainment-Notebook-PC-series/3672909/model/370818

8#77 3054ICKOKGTE30AQO503KA30R1

http://h30434.www3.hp.com/t5/Notebook-Operating-Systems-and-Software/HP-Pavilion-laptop-dv7-bios-update-failed-Black-scr

een/td-p/341896/page/3
http://support.hp.com/us-en/document/c02693833

http://h30434.www3.hp.com/t5/Notebook-Operating-Systems-and-Software/How-to-flash-BIOS-without-having-HP-Tools-Partitio

n/td-p/533561

¢ https://www.bios-mods.com/bios-recovery/phoenix-bios-recovery/

¢ https://gammarco.wordpress.com/2013/02/25/dead-hp-pavillion-dv6635el-after-last-bios-update-black-screen/

History

#1 - 09/02/2015 01:46 PM - Daniel Curtis
- Status changed from New to In Progress

- % Done changed from 0 to 50

#2 - 09/02/2015 02:01 PM - Daniel Curtis
- File CRISDISK.zip added

#3 - 09/02/2015 02:03 PM - Daniel Curtis
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#4 - 11/27/2015 04:47 PM - Daniel Curtis

- Status changed from Resolved to Closed

Files
CRISDISK.zip 713 KB 09/02/2015 Daniel Curtis
